# bdm::rectangular_support Class Reference

## Detailed Description

Rectangular support Support points are located inbetween ranges! For example: For ranges=[0,1] and gridsizes=[1] the support point is 0.5

`#include <discrete.h>`

List of all members.

## Public Member Functions
| rectangular_support ()
| default constructor
void | set_parameters (const Array< vec > &ranges0, const ivec &gridsize0)
| set parameters
void | initialize ()
| Internal functio to set temporaries correctly.
vec | get_vec (const ivec &inds)
| return vector at position given by vector of indeces
long | linear_index (const ivec inds)
| convert dimension indeces into linear index, the indexing is in the same way as in `next_vec()`
const vec & | first_vec ()
| set the first vector to corner and store result in actvec
const vec & | next_vec ()
| Get next active vector, call ONLY after first_vector()!
ivec | nearest_point (const vec &val)
int | points () const
| Access function.
const vec & | _steps () const
void | from_setting (const Setting &set)
| This method arrange instance properties according the data stored in the Setting structure.
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
## Protected Attributes
Array< vec > | ranges
| Array of boundaries (2D vectors: [begining,end]) for each dimension.
ivec | gridsizes
| Number of support points in each dimension.
int | dim
| dimension
int | Npoints
| Number of data points.
vec | actvec
| active vector for first_vec and next_vec
vec | actvec_ind
| indeces of active vector
vec | steps
| length of steps in each dimension

## Member Function Documentation

const vec& bdm::rectangular_support::_steps | ( |  | ) | const`[inline]`

access function

Todo:
  opet pouze do potomka..

References steps.

ivec bdm::rectangular_support::nearest_point | ( | const vec & | val | ) |

Todo:
  to je asi navic .. v predkovi!

Todo:
  GRIDSIZES prejmenovat..

References dim, gridsizes, ranges, and steps.

Referenced by bdm::egrid::evallog(), and bdm::grid_fnc::nearest_val().

The documentation for this class was generated from the following files:

- discrete.h
- discrete.cpp